{% extends "templates/form.njk" %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}
{% from "macros/hrt-date-input.njk" import hrtDateInput %}
{% from "packages/components/radios/macro.njk" import radios %}

{% block formContent %}

  {% set optionStartFromTodayHTML %}

    <p>{{ optionStartTodayParagraphOne }}</p>
    <p>{{ optionStartTodayParagraphTwo }} <a id="check-exemption-link" target="_blank" href="https://services.nhsbsa.nhs.uk/check-my-nhs-exemption/start">{{ optionStartTodayParagraphTwoLinkText }}</a>.</p>

    {{ hrtDateInput({
      fieldIdPrefix: "certificate-start-date",
      fieldNamePrefix: "certificateStartDate",
      claim: claim,
      errors: errors,
      hint: {
        text: dateHintText
      }
    }) }}
  {% endset -%}

  {% set optionBackdayHTML %}

    <p>{{ optionBackDayParagraphOne }}</p>
    <p>{{ optionBackDayParagraphTwo }}</p>
    <p>{{ optionBackDayParagraphThree }}</p>

    {{ hrtDateInput({
      fieldIdPrefix:'certificate-back-date',
      fieldNamePrefix: "certificateBackDate",
      claim: claim,
      errors: errors,
      hint: {
        text: backDateHintText
      }
    }) }}
  {% endset -%}

  {{ radios({
    id: "when-do-you-want-your-hrt-ppc-to-start",
    idPrefix: "when-do-you-want-your-hrt-ppc-to-start",
    classes: "radio-bold-label",
    name: "prescriptionStartFromToday",
    fieldset: {
      legend: {
        text: heading,
        classes: "nhsuk-fieldset__legend--l",
        isPageHeading: true
      }
    },
    hint: {
      text: paragraphOne,
      classes: "c-hrt-primary-color"
    },
    errorMessage: errors | getErrorForField('prescriptionStartFromToday'),
    items: [
      {
        value: "yes",
        checked : claim.prescriptionStartFromToday === "yes",
        text: optionStartTodayText,
        label: {
          classes: "nhsuk-u-font-weight-bold"
        },
        conditional: {
          "html": optionStartFromTodayHTML
        }
      },
      {
        value: "no",
        checked : claim.prescriptionStartFromToday === "no",
        text: optionBackDayText,
        label: {
          classes: "nhsuk-u-font-weight-bold"
        },
        conditional: {
          "html": optionBackdayHTML
        }
      }
    ]
  }) }}

{% endblock %}
